Custom Field Tables
The custom field tables resource.
Basehttps://rest.carbon.ms/customFieldTables
GET
/customFieldTablesList custom field tabless
Retrieve a paginated list of custom field tabless. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/customFieldTables
curl --request GET \
--url 'https://rest.carbon.ms/customFieldTables?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"table": "string",
"companyId": "xyz789",
"name": "Example",
"module": "string",
"fields": "string"
}
]GET
/customFieldTablesRetrieve a custom field tables
Fetch a single custom field tables by filtering on `table`.
Query parameters
tablestringMatch on the custom field tables's `table`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/customFieldTables
curl --request GET \
--url 'https://rest.carbon.ms/customFieldTables?table=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"table": "string",
"companyId": "xyz789",
"name": "Example",
"module": "string",
"fields": "string"
}